# -*- coding: utf-8 -*-
require 'xmpp4r/message'

require_relative '../module_base'

module Lain
  module Modules
    class Credits < Base
      def on_message(muc, message)
        return unless message.type == :groupchat
        return unless /!credits\b/ =~ message.body

        muc.send(Jabber::Message.new(message.to, "\nLain (レイン) #{Version}\n\n -- hacked by NeoRaider"))
      end

      def commands
        {
          '!credits' => 'show credits'
        }
      end
    end
  end
end
